## osinfo_device_driver

osinfo_device_driver — Information about device driver

## Functions

const gchar * | osinfo_device_driver_get_architecture ()
const gchar * | osinfo_device_driver_get_location ()
gboolean | osinfo_device_driver_get_pre_installable ()
GList * | osinfo_device_driver_get_files ()
OsinfoDeviceList * | osinfo_device_driver_get_devices ()
gboolean | osinfo_device_driver_get_signed ()
gint64 | osinfo_device_driver_get_priority ()

## Types and Values

#define | OSINFO_TYPE_DEVICE_DRIVER
#define | OSINFO_DEVICE_DRIVER_PROP_ARCHITECTURE
#define | OSINFO_DEVICE_DRIVER_PROP_LOCATION
#define | OSINFO_DEVICE_DRIVER_PROP_PRE_INSTALLABLE
#define | OSINFO_DEVICE_DRIVER_PROP_FILE
#define | OSINFO_DEVICE_DRIVER_PROP_DEVICE
#define | OSINFO_DEVICE_DRIVER_PROP_SIGNED
#define | OSINFO_DEVICE_DRIVER_PROP_PRIORITY
#define | OSINFO_DEVICE_DRIVER_DEFAULT_PRIORITY

## Description

OsinfoDeviceDriver is an entity representing device drivers for an (guest) operating system.

## Functions

### osinfo_device_driver_get_architecture ()

    const gchar *
    osinfo_device_driver_get_architecture (OsinfoDeviceDriver *driver);

Retrieves the target hardware architecture of `driver` .

#### Parameters

driver | an OsinfoDeviceDriver instance |

#### Returns

the hardware architecture.

[transfer none]

Since: 0.2.2

### osinfo_device_driver_get_location ()

    const gchar *
    osinfo_device_driver_get_location (OsinfoDeviceDriver *driver);

Retrieves the location of the `driver` as a URL.

#### Parameters

driver | an OsinfoDeviceDriver instance |

#### Returns

the location of the driver.

[transfer none]

Since: 0.2.2

### osinfo_device_driver_get_pre_installable ()

    gboolean
    osinfo_device_driver_get_pre_installable
                                   (OsinfoDeviceDriver *driver);

#### Parameters

driver | an OsinfoDeviceDriver instance |

#### Returns

TRUE if `driver` is pre-installable, FALSE otherwise.

Since: 0.2.2

### osinfo_device_driver_get_files ()

    GList *
    osinfo_device_driver_get_files (OsinfoDeviceDriver *driver);

Retrieves the names of driver files under the location returned by osinfo_device_driver_get_location.

#### Parameters

driver | an OsinfoDeviceDriver instance |

#### Returns

The list of driver files.

[transfer container][element-type utf8]

Since: 0.2.2

### osinfo_device_driver_get_devices ()

    OsinfoDeviceList *
    osinfo_device_driver_get_devices (OsinfoDeviceDriver *driver);

#### Parameters

driver | an OsinfoDeviceDriver instance |

#### Returns

The list of devices supported by this driver.

[transfer none]

Since: 0.2.2

### osinfo_device_driver_get_signed ()

    gboolean
    osinfo_device_driver_get_signed (OsinfoDeviceDriver *driver);

Some OS vendors recommend or require device drivers to be signed by them before these device drivers could be installed on their OS.

#### Parameters

driver | an OsinfoDeviceDriver instance |

#### Returns

TRUE if `driver` is signed, FALSE otherwise.

Since: 0.2.6

### osinfo_device_driver_get_priority ()

    gint64
    osinfo_device_driver_get_priority (OsinfoDeviceDriver *driver);

Returns the priority of the device driver. The higher the value, the more important it is.

#### Parameters

driver | an OsinfoDeviceDriver instance |

#### Returns

the priority of the device driver.

Since: 1.7.0

## Types and Values

### OSINFO_TYPE_DEVICE_DRIVER

    #define OSINFO_TYPE_DEVICE_DRIVER (osinfo_device_driver_get_type ())

### OSINFO_DEVICE_DRIVER_PROP_ARCHITECTURE

    #define OSINFO_DEVICE_DRIVER_PROP_ARCHITECTURE    "arch"

### OSINFO_DEVICE_DRIVER_PROP_LOCATION

    #define OSINFO_DEVICE_DRIVER_PROP_LOCATION        "location"

### OSINFO_DEVICE_DRIVER_PROP_PRE_INSTALLABLE

    #define OSINFO_DEVICE_DRIVER_PROP_PRE_INSTALLABLE "pre-installable"

### OSINFO_DEVICE_DRIVER_PROP_FILE

    #define OSINFO_DEVICE_DRIVER_PROP_FILE            "file"

### OSINFO_DEVICE_DRIVER_PROP_DEVICE

    #define OSINFO_DEVICE_DRIVER_PROP_DEVICE          "device"

### OSINFO_DEVICE_DRIVER_PROP_SIGNED

    #define OSINFO_DEVICE_DRIVER_PROP_SIGNED          "signed"

### OSINFO_DEVICE_DRIVER_PROP_PRIORITY

    #define OSINFO_DEVICE_DRIVER_PROP_PRIORITY        "priority"

### OSINFO_DEVICE_DRIVER_DEFAULT_PRIORITY

    #define OSINFO_DEVICE_DRIVER_DEFAULT_PRIORITY     50

## See Also

OsinfoOs